Skip to main content
GET
/
Transaction
/
Report
cURL
curl --request GET \
  --url https://api.trysynch.com/Transaction/Report \
  --header 'Authorization: Bearer <token>'
{
  "transactions": [
    {
      "externalTransferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "paymentRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "amount": {
        "value": 123,
        "currencyCode": {
          "value": "<string>",
          "displayName": "<string>",
          "cultureName": "<string>"
        }
      },
      "date": "2023-11-07T05:31:56Z",
      "senderName": "<string>",
      "recipientName": "<string>",
      "senderAccount": "<string>",
      "recipientAccount": "<string>",
      "isRefunded": true,
      "isRefund": true,
      "isReimbursed": true,
      "appliedForReimbursement": true,
      "recipientAddress": {
        "streetNumberAndName": "<string>",
        "apartmentNumber": "<string>",
        "city": "<string>",
        "zipCode": "<string>",
        "state": "<string>",
        "country": "<string>"
      }
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Query Parameters

from
string<date-time>
to
string<date-time>
status
string
cursor
string
companyId
string<uuid>

Response

OK

transactions
object[]
hasMore
boolean
nextCursor
string | null